RewriteEngine on
Options -MultiViews
RewriteBase /

##PAGE SYSTEM
RewriteRule ^info/([^/]+)$ plugins/pages/$1.php

##AD REPORT
RewriteRule ^ad-report$ plugins/report/ad-report.php [L]

##SIGN-UP / REGISTER
RewriteRule ^register$ plugins/users/register.php [L]
RewriteRule ^login$ plugins/users/login.php [L]
RewriteRule ^activation/(.*)$ plugins/users/activation.php?code=$1 [L]
RewriteRule ^request-code$ plugins/users/request-code.php [L]
RewriteRule ^new-password$ plugins/users/new-password.php [L]

##DASHBOARD / PROFILE
RewriteRule ^profile$ plugins/users/profile.php [L]
RewriteRule ^dashboard$ plugins/users/dashboard.php [L]
RewriteRule ^dashboard/advertiser$ plugins/advertiser/advertiser.php [L]
RewriteRule ^dashboard/advertiser/deposit-management$ plugins/advertiser/deposit-management.php [L]
RewriteRule ^dashboard/advertiser/deposit-management/add-money$ plugins/advertiser/add-money.php [L]
RewriteRule ^dashboard/advertiser/campaigns$ plugins/advertiser/campaigns.php [L]
RewriteRule ^dashboard/advertiser/ad$ plugins/advertiser/ad.php [L]
RewriteRule ^dashboard/advertiser/keywords$ plugins/advertiser/keywords.php [L]
RewriteRule ^dashboard/advertiser/ads$ plugins/advertiser/ads.php [L]
RewriteRule ^dashboard/advertiser/campaign$ plugins/advertiser/campaign.php [L]
RewriteRule ^dashboard/advertiser/ad/banner$ plugins/advertiser/ad.banner.php [L]

##ADD FUNDS
RewriteRule ^dashboard/advertiser/add-funds$ plugins/advertiser/add-funds.php [L]

##DASHBOARD PUBLISHER
RewriteRule ^dashboard/publisher$ plugins/publisher/publisher.php [L]
RewriteRule ^dashboard/publisher/channels$ plugins/publisher/channels.php [L]
RewriteRule ^dashboard/publisher/channel$ plugins/publisher/channel.php [L]
RewriteRule ^dashboard/publisher/ads$ plugins/publisher/ads.php [L]
RewriteRule ^dashboard/publisher/ad$ plugins/publisher/ad.php [L]
RewriteRule ^dashboard/publisher/money$ plugins/publisher/withdrawal.php [L]
RewriteRule ^dashboard/publisher/money/history$ plugins/publisher/withdrawal.history.php [L]
RewriteRule ^dashboard/publisher/money/settings$ plugins/publisher/withdrawal.settings.php [L]



##RESOURCES
RewriteRule ^custom.js$ templates/default/assets/js/custom.js.php [L]

##PAGE AD
RewriteRule ^pagead/ads.js$ pagead/ads.js.php [L]
RewriteRule ^pagead/generate$ pagead/generate.php [L]
RewriteRule ^pagead/redirect$ pagead/redirect.php [L]













